Frage Ist es möglich, meine Grafikkartentreiber zu aktualisieren?


Dies zeigt der Befehl lspci -v in der VGA-kompatiblen Controller-Sektion:

00:02.0 VGA compatible controller: Intel Corporation Atom Processor D4xx/D5xx/N4xx/N5xx Integrated Graphics Controller (prog-if 00 [VGA controller])
Subsystem: Dell Device 048e
Flags: bus master, fast devsel, latency 0, IRQ 44
Memory at f0200000 (32-bit, non-prefetchable) [size=512K]
I/O ports at 18d0 [size=8]
Memory at d0000000 (32-bit, prefetchable) [size=256M]
Memory at f0000000 (32-bit, non-prefetchable) [size=1M]
Expansion ROM at <unassigned> [disabled]
Capabilities: <access denied>
Kernel driver in use: i915
Kernel modules: i915

i915 ist nur mit OpenGL 1.4 kompatibel und kann keine Shader verwenden und ich möchte einige OpenGL 2.0-Funktionen verwenden.

Ist es möglich, die Treiber zu aktualisieren oder ist meine Hardware auf OpenGL 1.4 beschränkt?


4
2017-10-14 14:28


Ursprung


Hast du versucht, jockey-gtk zu laufen? Dies sucht nach aktualisierten oder "zusätzlichen" Treibern. (Ich versuche nur zuerst die einfachen Dinge zu überprüfen.) - Argusvision
Ich habe es gerade versucht, Jockey-GTK findet nichts. - madmaxpt
Sie könnten auch Synaptic öffnen und i915 suchen. Es gibt ein xserver-xorg-intel-Paket, das für Sie arbeiten kann. Ich habe keine Möglichkeit, es auf meiner Hardware zu testen. - Argusvision
Um die zweite Frage zu beantworten: "Ist es möglich, zu aktualisieren (Open GL 2.0 zu verwenden)? Dieser Artikel gibt ja an. phoronix.com/scan.php?page=news_item&px=OTk4Mg - Argusvision


Antworten:


Intel hat keine zusätzlichen Treiber (eingeschränkte Treiber) für Linux verfügbar. Die Treiber sind alle Open Source.

Wenn Sie den Treiber für Intel Grafikkarte aktualisieren möchten, können Sie eine PPA hinzufügen, wo die neuesten Treiber enthalten und von dort aktualisieren.

Beispiel. Ubuntu X - Team

sudo apt-add-repository ppa:ubuntu-x-swat/x-updates
sudo apt-get update 
sudo apt-get dist-upgrade

Wenn Sie zurücknehmen möchten (rückgängig machen)

sudo apt-get install ppa-purge
sudo ppa-purge ppa:ubuntu-x-swat/x-updates
sudo apt-get update 
sudo apt-get dist-upgrade

4
2017-10-14 14:56



Ich habe getan, was Sie mir gesagt haben, es aktualisiert die Treiber, aber die glxinfo | Der Befehl grep version gibt immer noch "OpenGL version string: 1.4 Mesa 8.0.2" an. Irgendeine Idee, wie man es OpenGL 2 benutzen kann? - madmaxpt
Wenn Ihre Grafikkarte (Hardware) OpenGL 2.0 nicht unterstützt, kann der Treiber nicht viel tun (glaube ich). Schau mal Hier Suchen Sie nach Ihrem Grafikkartenmodell, ob OpenGL 2.0 unterstützt wird - Nick Thom
Die Karte unterstützt 2.0: phoronix.com/scan.php?page=news_item&px=OTk4Mg - Milan Babuškov
Die Verbindung ist tot. - kenorb